# .gitlab-ci.yml

stages:
  - build
  # - test
  # - deploy


# Job: Build
build:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  variables:
    # DOCKER_HOST: tcp://docker:2375
    # DOCKER_DRIVER: overlay2
    IMAGE_NAME: mwageeeh/4sharks-products-server
    IMAGE_TAG: latest
  script:
    - echo "Docker Cerdientail"
    - docker login -u $DOCKER_USER -p $DOCKER_PASSWORD
    - echo "Start Docker Build"
    - docker build -t $IMAGE_NAME:$IMAGE_TAG .
    - docker push $IMAGE_NAME:$IMAGE_TAG


# # Job: Test
# test:
#   stage: test
#   image: node:latest
#   script:
#     - npm install --quiet
#     - npm run test

# # Job: Deploy
# deploy:
#   stage: deploy
#   image: node:latest
#   script:
#     - npm install --quiet
#     - npm run dev